Subject: Re: bug#39111: 27.0.60; Tramp offers to save password in ~/.authinfo instead of ~/.authinfo.gpg

From: Pankaj Jangid <[email-masked]>
Date: Sat, 31 Oct 2020 12:51:44 +0530

Lars Ingebrigtsen <[email-masked]> writes:

>> When I open a remote ssh file and connect to the server for the first
>> time, Tramp offers to save the password in ~/.authinfo even if the file
>> ~/.authinfo.gpg exists and is already loaded (by some other package like
>> Gnus).
>
> Do you also have a ~/.authinfo file?  If you have both, it'll offer to
> save it into the first one in 
>
>>> The default value of auth-sources is '("~/.authinfo" "~/.authinfo.gpg"
>>> "~/.netrc")
>
> this variable.
>
> If not, can you `(setq debug-on-quit t)', and then hit `C-g' when it
> offers to save in ~/.authinfo?  That should give us an idea what's going
> wrong here.

Today, after getting your email, when I tried it again, there was a
completely different flow.

I connected to a new machine via ‘/ssh:u@ip:~/hello.txt’. Since the
entry was not there in my ‘~/.authinfo.gpg’, it asked for password. But
tramp did not ask me to save the password. I am on (master).

I tried following configurations:

1. With my customised auth-sources which is set to
   ("~/.authinfo.gpg") and only ~/.authinfo.gpg exists
2. With my customised auth-sources which is set to
   ("~/.authinfo.gpg") and both ~/.authinfo.gpg and ~/.authinfo exist
3. With default value, which is
   ("~/.authinfo" "~/.authinfo.gpg" "~/.netrc") and only ~/.authinfo.gpg
   exists
4. With default value, which is
   ("~/.authinfo" "~/.authinfo.gpg" "~/.netrc") and both ~/.authinfo.gpg
   and ~/.authinfo exist

Same behaviour in all cases. Tramp is no longer asking to save the
password.